#include <iostream>
#include <fstream>
#include <math.h>
#include <algorithm>
#define fin "TUONGDUONG.INP"
#define fon "TUONGDUONG.OUT"
using namespace std;
ifstream fi;
ofstream fo;

int A,B;
long ucln;
void Input()
{
	fi.open(fin,ios::in);
	fi>>A>>B;
	fi.close();
}

int UCLN(int A,int B)
{
	if(A==B)
		return A;
	else if(A>B)
		return UCLN(A-B,B);
	else if(A<B)
		return UCLN(A,B-A);
}

void Process()
{
	for(int i=2;i<=ucln;i++)
	{
		if( (i==2 || i==3) && A%i==0 && B%i==0)
			fo<<i<<" ";
		else
		{
			int k=sqrt(i);
			int dem=0;
			for(int j=2;j<=k;j++)
			{
				if(i%j==0)
				{
					dem++;
				}
			}
			if( dem==0  && A%i==0 && B%i==0 )
			{
				fo<<i<<" ";
			}
		}
	}
}

int main()
{
	Input();
	fo.open(fon,ios::out);
	ucln=UCLN(A,B);
	if(ucln==1)
	{
		fo<<"KHONG TUONG DUONG";
	}
	else
	{
		fo<<"TUONG DUONG"<<endl;
		Process();
	}
	return 0;
}
